##### basic_socket_acceptor::open (2 of 2 overloads)

Open the acceptor using the specified protocol.

    void open(
        const protocol_type & protocol,
        asio::error_code & ec);

This function opens the socket acceptor so that it will use the specified protocol.

###### Parameters

protocol

  An object specifying which protocol is to be used.

ec

  Set to indicate what error occurred, if any.

###### Example

    asio::ip::tcp::acceptor acceptor(my_context);
    asio::error_code ec;
    acceptor.open(asio::ip::tcp::v4(), ec);
    if (ec)
    {
      // An error occurred.
    }